# Uses of Class
it.tdlight.jni.TdApi.TopChatCategory

## Uses of TdApi.TopChatCategory in it.tdlight.jni

Subclasses of TdApi.TopChatCategory in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.TopChatCategoryBots`
A category containing frequently used private chats with bot users.
`static final class`
`TdApi.TopChatCategoryCalls`
A category containing frequently used chats used for calls.
`static final class`
`TdApi.TopChatCategoryChannels`
A category containing frequently used channels.
`static final class`
`TdApi.TopChatCategoryForwardChats`
A category containing frequently used chats used to forward messages.
`static final class`
`TdApi.TopChatCategoryGroups`
A category containing frequently used basic groups and supergroups.
`static final class`
`TdApi.TopChatCategoryInlineBots`
A category containing frequently used chats with inline bots sorted by their usage in inline mode.
`static final class`
`TdApi.TopChatCategoryUsers`
A category containing frequently used private chats with non-bot users.
Fields in it.tdlight.jni declared as TdApi.TopChatCategory
Modifier and Type
Field
Description
`TdApi.TopChatCategory`
TdApi.GetTopChats.`category`
Category of chats to be returned.
`TdApi.TopChatCategory`
TdApi.RemoveTopChat.`category`
Category of frequently used chats.
Constructors in it.tdlight.jni with parameters of type TdApi.TopChatCategory
Modifier
Constructor
Description
``
`GetTopChats(TdApi.TopChatCategory category, int limit)`
Returns a list of frequently used chats.
``
`RemoveTopChat(TdApi.TopChatCategory category, long chatId)`
Removes a chat from the list of frequently used chats.